import React, {useEffect, useState} from 'react';
import {ActivityIndicator, WhiteSpace, WingBlank} from 'antd-mobile'
import TodoCard from '../../components/LogCard'
import TopNotice from '../../components/NoticeTab'
import axiosRequest from '../../utils/request';
import './index.less'

const WorkDetail = (props) => {
    const [loading, setLoading] = useState(false);
    const [current, setCurrent] = useState(1);
    const [searchWord, setSearchWord] = useState()
    const [data, setData] = useState([{},{},{},{},{},{}]);

    const getData = () => {
        const pageMap ={searchWord, nowPage: current, pageSize: 10};
        console.log(pageMap)
        setLoading(true)
        axiosRequest({
            method: 'post',
            url: '/dgbg/mobileGetOperates.view?userName=2012012099&clientFlag=123456',
        }).then(res => {
            setLoading(false);
            let result = data.concat([{}, {}, {}, {}, {}, {}])
            setData(result)
            setCurrent(current + 1)
        });
    };

    //下拉加载
    const handleScroll = () => {
        const event = document.getElementById("work-content")
        const top = event.scrollTop;
        const scrollHeight = event.scrollHeight;
        const clientHeight = event.clientHeight;
        if (top + clientHeight === scrollHeight) {
            getData()
        }
    };
    useEffect(() => {
        window.addEventListener('scroll', handleScroll, true);
        return () =>  window.removeEventListener('scroll', handleScroll, true);
    }, [data]);

    const checkLog = () => {
        props.history.push(`/blank/info/example/1`)
    };

    //回到顶部
    useEffect(() => {
        const element = document.getElementById('work-content')
        element.scrollTo(0, 0)
    }, [])
    return (
        <div id="work-content" className="work-content">
            <WingBlank>
                <ActivityIndicator
                    toast
                    text="加载中..."
                    animating={loading}
                />
                <WhiteSpace/>
                <TopNotice onSearch={setSearchWord}/>
                {
                    data.map((item, index) => (
                        <div key={index}>
                            <WhiteSpace/>
                            <TodoCard data={item} onClick={checkLog}/>
                        </div>

                    ))
                }
            </WingBlank>
        </div>
    );
};

export default WorkDetail;

